The current PMS rate limits associated with your integration.
https://api.propexo.com/v1/admin/integrations/:integration_id/rate-limits/The current PMS rate limits associated with your integration. Currently only supported for Rent Manager and Entrata
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The unique identifier for the integration
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- object
- object
- Array [
- ]
results objectrequired
The Propexo unique identifier for the integration
api_ratelimits object[]required
The Entrata API associated with the rate limits
The last time this rate limit was recorded
The maxmimum number of requests per day we can query
The maxmimum number of requests per hour we can query
The maxmimum number of requests per minute we can query
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/admin/integrations/:integration_id/rate-limits/ \
-H "Authorization: Bearer <token>"
{
"results": {
"integration_id": "string",
"api_ratelimits": [
{
"api": "string",
"updated_at": "string",
"day_limit": 0,
"hour_limit": 0,
"minute_limit": 0
}
]
}
}